For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • GETGet personal information by id
      • GETGet worker profile by external ID
      • PATCHUpdate personal information
      • PATCHUpdate personal information by external id
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsPersonal Information

Get personal information by id

GET
/people/:worker_id/personal
GET
/rest/v2/people/:worker_id/personal
$curl https://api.letsdeel.com/rest/v2/people/123456/personal \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
4 "worker_id": 123456,
5 "emergency_contacts": [
6 {
7 "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
8 "name": "Jane Doe",
9 "email": "test@example.com",
10 "phone": "1234567890",
11 "relationship": "Mother",
12 "preferred_language": {
13 "id": 1,
14 "language": "English"
15 }
16 }
17 ],
18 "kyc": {
19 "is_kyc_approved": true,
20 "kyc_approval_date": "2021-01-01"
21 },
22 "ooo": {
23 "name": "Vacation",
24 "end_date": "2021-01-01",
25 "leave_type": "LONG_TERM_LEAVE",
26 "start_date": "2021-01-01"
27 },
28 "addresses": [
29 {
30 "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
31 "zip": "12345",
32 "city": "New York",
33 "type": "HOME",
34 "state": "NY",
35 "street": "123 Main St",
36 "country": "US"
37 }
38 ],
39 "work_email": "test@example.com",
40 "external_id": "123456",
41 "demographics": {
42 "gender": {
43 "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
44 "name": "male",
45 "other_name": "other"
46 },
47 "ethnicity": {
48 "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
49 "name": "white",
50 "other_name": "other"
51 }
52 },
53 "date_of_birth": "2021-01-01",
54 "nationalities": [
55 {
56 "code": "US",
57 "name": "United States"
58 }
59 ],
60 "phone_numbers": [
61 {
62 "type": "PERSONAL",
63 "dial_code": "+1",
64 "phone_number": "1234567890"
65 }
66 ],
67 "personal_email": "test@example.com",
68 "preferred_name": "John",
69 "legal_last_name": "Doe",
70 "legal_first_name": "John"
71 }
72}

Returns personal information for a worker by their worker ID. Token scopes: people:read

Was this page helpful?
Previous

Get worker profile by external ID

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired

Unique identifier for a worker (External ID).

Response

Successful response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/